<template>
  <fieldset>
    <CheckboxBorderedLabel for="title" :text="t('Show title')">
      <input
        type="checkbox"
        name="showTitle"
        id="title"
        :checked="currentSettings.showTitle"
      />
    </CheckboxBorderedLabel>

    <CheckboxBorderedLabel for="message" :text="t('Show message')">
      <input
        type="checkbox"
        name="showMessage"
        id="message"
        :checked="currentSettings.showMessage"
      />
    </CheckboxBorderedLabel>

    <CheckboxBorderedLabel for="author" :text="t('Show author')">
      <input
        type="checkbox"
        name="showAuthor"
        id="author"
        :checked="currentSettings.showAuthor"
      />
    </CheckboxBorderedLabel>

    <CheckboxBorderedLabel for="date" :text="t('Show date')">
      <input
        type="checkbox"
        name="showDate"
        id="date"
        :checked="currentSettings.showDate"
      />
    </CheckboxBorderedLabel>
  </fieldset>
</template>

<script>
module.exports = {
  name: "idioms",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    }
  },
  locales: {
    deDe: {
      "Show message": "Nachricht anzeigen",
      "Show author": "Autor anzeigen",
      "Show title": "Titel anzeigen",
      "Show date": "Datum anzeigen",
      Show: "Anzeigen",
      Hide: "Verbergen"
    }
  }
};
</script>
